function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
% function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   g1
%

if T_flag
    T = Loop_dynare.dynamic_g1_tt(T, y, x, params, steady_state, it_);
end
g1 = zeros(36, 55);
g1(1,9)=1;
g1(1,10)=(-exp(y(10)));
g1(2,22)=1;
g1(2,23)=(-exp(y(23)));
g1(3,6)=1;
g1(3,42)=(-params(2));
g1(3,22)=T(56);
g1(3,29)=(-(T(1)*(-exp(y(29)))));
g1(3,39)=(-T(2));
g1(4,7)=1;
g1(4,43)=(-params(2));
g1(4,9)=T(39);
g1(4,16)=(-(T(1)*(-exp(y(16)))));
g1(4,39)=(-T(3));
g1(5,6)=1;
g1(5,7)=(-1);
g1(5,8)=1;
g1(6,10)=(-(T(1)*T(40)/(1-params(3))));
g1(6,16)=(-(T(1)*(-exp(y(16)))));
g1(6,18)=1;
g1(6,39)=(-T(4));
g1(7,18)=(-1);
g1(7,19)=1;
g1(7,47)=(-params(2));
g1(8,10)=(-(T(1)*T(41)))/(T(5)*T(5));
g1(8,11)=(-exp(y(11)));
g1(8,39)=T(1)/T(5);
g1(9,11)=exp(y(11));
g1(9,44)=(-T(8));
g1(9,12)=(-T(8));
g1(9,45)=T(50);
g1(9,51)=T(68);
g1(10,11)=(-(exp(y(11))*exp(y(14))));
g1(10,14)=(-(exp(y(11))*exp(y(14))));
g1(10,39)=T(1);
g1(11,14)=exp(y(14));
g1(11,15)=(-exp(y(15)));
g1(12,11)=T(44);
g1(12,44)=(-T(13));
g1(12,13)=exp(y(17))*(exp(y(13))*params(15)*(exp(y(13))-T(9))+exp(y(13))*params(15)*exp(y(13)));
g1(12,45)=T(53);
g1(12,15)=(-T(10));
g1(12,17)=T(11);
g1(12,46)=(-T(13));
g1(12,40)=T(76);
g1(13,17)=(-(exp(y(17))*exp(y(36))));
g1(13,36)=(-(exp(y(17))*exp(y(36))));
g1(13,38)=exp(y(38));
g1(14,10)=(-exp(y(10)));
g1(14,13)=(-(exp(y(17))*T(14)*exp(y(13))*2*(exp(y(13))-T(9))));
g1(14,17)=exp(y(17))-T(15);
g1(14,38)=(-exp(y(38)));
g1(15,16)=exp(y(16));
g1(15,17)=(-exp(y(17)));
g1(16,34)=exp(y(34));
g1(16,36)=(-((-(T(17)*(-exp(y(36)))))/T(72)));
g1(16,40)=(-(T(79)/(1-exp(y(36)))));
g1(17,33)=1/y(33);
g1(17,35)=(-1);
g1(18,2)=(-params(11));
g1(18,35)=1;
g1(18,52)=(-params(13));
g1(19,36)=T(73);
g1(19,37)=exp(y(37));
g1(20,3)=(-params(12));
g1(20,37)=1;
g1(20,53)=(-params(14));
g1(21,4)=(-params(19));
g1(21,39)=1;
g1(21,54)=(-params(21));
g1(22,5)=(-params(20));
g1(22,40)=1;
g1(22,55)=(-params(22));
g1(23,17)=(-(exp(y(17))/exp(y(34))));
g1(23,20)=exp(y(20));
g1(23,34)=T(70);
g1(24,36)=T(73);
g1(24,41)=exp(y(41));
g1(25,17)=(-(exp(y(17))/exp(y(41))));
g1(25,21)=exp(y(21));
g1(25,41)=T(81);
g1(26,1)=T(25)*T(45);
g1(26,12)=(-(exp(y(12))/params(26)));
g1(26,13)=T(19)*T(48);
g1(26,17)=T(19)*T(55);
g1(27,23)=(-(T(1)*T(57)))/(T(26)*T(26));
g1(27,24)=(-exp(y(24)));
g1(27,39)=T(1)/T(26);
g1(28,24)=exp(y(24));
g1(28,48)=(-T(29));
g1(28,25)=(-T(29));
g1(28,49)=T(63);
g1(28,51)=T(69);
g1(29,24)=(-(exp(y(24))*exp(y(27))));
g1(29,27)=(-(exp(y(24))*exp(y(27))));
g1(29,39)=T(1);
g1(30,27)=exp(y(27));
g1(30,28)=(-exp(y(28)));
g1(31,24)=T(60);
g1(31,48)=(-T(33));
g1(31,26)=exp(y(30))*(exp(y(26))*params(15)*(exp(y(26))-T(9))+exp(y(26))*params(15)*exp(y(26)));
g1(31,49)=T(66);
g1(31,28)=(-T(30));
g1(31,30)=T(31);
g1(31,50)=(-T(33));
g1(31,40)=T(80);
g1(32,23)=(-exp(y(23)));
g1(32,26)=(-(exp(y(30))*T(14)*exp(y(26))*2*(exp(y(26))-T(9))));
g1(32,30)=exp(y(30))-T(34);
g1(32,38)=(-exp(y(38)));
g1(33,29)=exp(y(29));
g1(33,30)=(-exp(y(30)));
g1(34,30)=(-(exp(y(30))/exp(y(34))));
g1(34,31)=exp(y(31));
g1(34,34)=T(71);
g1(35,30)=(-(exp(y(30))/exp(y(41))));
g1(35,32)=exp(y(32));
g1(35,41)=T(82);
g1(36,25)=(-(exp(y(25))/params(26)));
g1(36,26)=T(38)*T(61);
g1(36,30)=T(36)*T(67);

end
