function T = dynamic_g1_tt(T, y, x, params, steady_state, it_)
% function T = dynamic_g1_tt(T, y, x, params, steady_state, it_)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double  vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double  vector of endogenous variables in the order stored
%                                                    in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double  matrix of exogenous variables (in declaration order)
%                                                    for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double  vector of steady state values
%   params        [M_.param_nbr by 1]        double  vector of parameter values in declaration order
%   it_           scalar                     double  time period for exogenous variables for which
%                                                    to evaluate the model
%
% Output:
%   T           [#temp variables by 1]       double  vector of temporary terms
%

assert(length(T) >= 82);

T = Loop_dynare.dynamic_resid_tt(T, y, x, params, steady_state, it_);

T(39) = (-(T(1)*getPowerDeriv(y(9),1-params(3),1)/(1-params(3))));
T(40) = exp(y(10))*getPowerDeriv(exp(y(10)),1-params(3),1);
T(41) = exp(y(10))*getPowerDeriv(exp(y(10)),params(3),1);
T(42) = params(15)*params(2)*(-(exp(y(11))*exp(y(44))))/(exp(y(11))*exp(y(11)));
T(43) = exp(y(45))*(exp(y(45))-T(9))*T(42);
T(44) = (-(exp(y(46))*T(43)));
T(45) = T(18)*getPowerDeriv(T(18),params(10),1);
T(46) = T(20)*getPowerDeriv(T(20),params(7),1);
T(47) = getPowerDeriv(T(24),1-params(10),1);
T(48) = T(23)*T(46)*T(47);
T(49) = (-(exp(y(12))*exp(y(45))))/(exp(y(45))*exp(y(45)));
T(50) = (-(T(6)*T(49)));
T(51) = exp(y(45))*exp(y(45))*params(15)*params(2)*exp(y(44))/exp(y(11));
T(52) = T(12)+T(51);
T(53) = (-(exp(y(46))*T(52)));
T(54) = T(22)*getPowerDeriv(T(22),params(9),1);
T(55) = T(47)*T(21)*T(54);
T(56) = (-(T(1)*(1-params(1))*getPowerDeriv(y(22)*(1-params(1)),1-params(3),1)/(1-params(3))));
T(57) = exp(y(23))*getPowerDeriv(exp(y(23)),params(3),1);
T(58) = params(15)*params(2)*(-(exp(y(24))*exp(y(48))))/(exp(y(24))*exp(y(24)));
T(59) = exp(y(49))*(exp(y(49))-T(9))*T(58);
T(60) = (-(exp(y(50))*T(59)));
T(61) = T(35)*getPowerDeriv(T(35),params(7),1);
T(62) = (-(exp(y(25))*exp(y(49))))/(exp(y(49))*exp(y(49)));
T(63) = (-(T(27)*T(62)));
T(64) = exp(y(49))*exp(y(49))*params(15)*params(2)*exp(y(48))/exp(y(24));
T(65) = T(32)+T(64);
T(66) = (-(exp(y(50))*T(65)));
T(67) = T(37)*getPowerDeriv(T(37),params(9),1);
T(68) = (-(T(7)*params(2)*(-exp(y(44)))/(y(51)*y(51))));
T(69) = (-(T(28)*params(2)*(-exp(y(48)))/(y(51)*y(51))));
T(70) = (-((-(exp(y(17))*exp(y(34))))/(exp(y(34))*exp(y(34)))));
T(71) = (-((-(exp(y(34))*exp(y(30))))/(exp(y(34))*exp(y(34)))));
T(72) = (1-exp(y(36)))*(1-exp(y(36)));
T(73) = (-(exp(y(36))/T(72)));
T(74) = exp(y(40))*exp(y(40));
T(75) = (T(74)-exp(y(40))*(1+exp(y(40))))/T(74);
T(76) = exp(y(17))*(-exp(y(40)))/T(74)-exp(y(17))*exp(y(15))*T(75);
T(77) = (-exp(y(40)))/((1+exp(y(40)))*(1+exp(y(40))));
T(78) = getPowerDeriv(T(16),1/params(3),1);
T(79) = T(77)*T(78);
T(80) = exp(y(30))*(-exp(y(40)))/T(74)-exp(y(30))*exp(y(28))*T(75);
T(81) = (-((-(exp(y(17))*exp(y(41))))/(exp(y(41))*exp(y(41)))));
T(82) = (-((-(exp(y(41))*exp(y(30))))/(exp(y(41))*exp(y(41)))));

end
