function residual = dynamic_resid(T, y, x, params, steady_state, it_, T_flag)
% function residual = dynamic_resid(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   residual
%

if T_flag
    T = Loop_dynare.dynamic_resid_tt(T, y, x, params, steady_state, it_);
end
residual = zeros(36, 1);
lhs = y(9);
rhs = exp(y(10));
residual(1) = lhs - rhs;
lhs = y(22);
rhs = exp(y(23));
residual(2) = lhs - rhs;
lhs = y(6);
rhs = T(2)+params(2)*y(42);
residual(3) = lhs - rhs;
lhs = y(7);
rhs = T(3)+params(2)*y(43);
residual(4) = lhs - rhs;
lhs = y(8);
rhs = y(7)-y(6);
residual(5) = lhs - rhs;
lhs = y(18);
rhs = T(4);
residual(6) = lhs - rhs;
lhs = y(19);
rhs = y(18)+params(2)*y(47);
residual(7) = lhs - rhs;
residual(8) = T(1)/T(5)-exp(y(11));
residual(9) = exp(y(11))-T(8);
residual(10) = T(1)-exp(y(11))*exp(y(14));
residual(11) = exp(y(14))-exp(y(15));
residual(12) = T(11)-T(13);
residual(13) = exp(y(38))-exp(y(17))*exp(y(36));
residual(14) = exp(y(17))-exp(y(10))-exp(y(38))-T(15);
residual(15) = exp(y(16))-exp(y(17));
residual(16) = exp(y(34))-T(17)/(1-exp(y(36)));
residual(17) = log(y(33))-params(4)-y(35);
residual(18) = y(35)-params(11)*y(2)-params(13)*x(it_, 1);
residual(19) = exp(y(37))-1/(1-exp(y(36)));
residual(20) = y(37)-(1-params(12))*log(params(28))-params(12)*y(3)-params(14)*x(it_, 2);
residual(21) = y(39)-(1-params(19))*log(params(41))-params(19)*y(4)-params(21)*x(it_, 3);
residual(22) = y(40)-(1-params(20))*log(params(40))-params(20)*y(5)-params(22)*x(it_, 4);
residual(23) = exp(y(20))-exp(y(17))/exp(y(34));
residual(24) = exp(y(41))-1/(1-exp(y(36)));
residual(25) = exp(y(21))-exp(y(17))/exp(y(41));
residual(26) = T(19)*T(25)-exp(y(12))/params(26);
residual(27) = T(1)/T(26)-exp(y(24));
residual(28) = exp(y(24))-T(29);
residual(29) = T(1)-exp(y(24))*exp(y(27));
residual(30) = exp(y(27))-exp(y(28));
residual(31) = T(31)-T(33);
residual(32) = exp(y(30))-exp(y(23))-exp(y(38))-T(34);
residual(33) = exp(y(29))-exp(y(30));
residual(34) = exp(y(31))-exp(y(30))/exp(y(34));
residual(35) = exp(y(32))-exp(y(30))/exp(y(41));
residual(36) = T(36)*T(38)-exp(y(25))/params(26);

end
