function T = dynamic_resid_tt(T, y, x, params, steady_state, it_)
% function T = dynamic_resid_tt(T, y, x, params, steady_state, it_)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double  vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double  vector of endogenous variables in the order stored
%                                                    in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double  matrix of exogenous variables (in declaration order)
%                                                    for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double  vector of steady state values
%   params        [M_.param_nbr by 1]        double  vector of parameter values in declaration order
%   it_           scalar                     double  time period for exogenous variables for which
%                                                    to evaluate the model
%
% Output:
%   T           [#temp variables by 1]       double  vector of temporary terms
%

assert(length(T) >= 38);

T(1) = exp(y(39));
T(2) = T(1)*(((y(22)*(1-params(1)))^(1-params(3))-1)/(1-params(3))-exp(y(29)));
T(3) = T(1)*((y(9)^(1-params(3))-1)/(1-params(3))-exp(y(16)));
T(4) = T(1)*((exp(y(10))^(1-params(3))-1)/(1-params(3))-exp(y(16)));
T(5) = exp(y(10))^params(3);
T(6) = params(2)*exp(y(44))/y(51);
T(7) = exp(y(12))/exp(y(45));
T(8) = T(6)*T(7);
T(9) = params(24)^params(16);
T(10) = exp(y(17))*exp(y(15))*(1+exp(y(40)))/exp(y(40));
T(11) = exp(y(13))*params(15)*(exp(y(13))-T(9))*exp(y(17))+exp(y(17))*1/exp(y(40))-T(10);
T(12) = exp(y(45))*params(15)*params(2)*exp(y(44))/exp(y(11))*(exp(y(45))-T(9));
T(13) = T(12)*exp(y(46));
T(14) = params(15)/2;
T(15) = exp(y(17))*T(14)*(exp(y(13))-T(9))^2;
T(16) = 1/(1+exp(y(40)));
T(17) = T(16)^(1/params(3));
T(18) = exp(y(1))/params(26);
T(19) = T(18)^params(10);
T(20) = exp(y(13))/params(24);
T(21) = T(20)^params(7);
T(22) = exp(y(17))/params(23);
T(23) = T(22)^params(9);
T(24) = T(21)*T(23);
T(25) = T(24)^(1-params(10));
T(26) = exp(y(23))^params(3);
T(27) = params(2)*exp(y(48))/y(51);
T(28) = exp(y(25))/exp(y(49));
T(29) = T(27)*T(28);
T(30) = exp(y(30))*(1+exp(y(40)))/exp(y(40))*exp(y(28));
T(31) = exp(y(26))*params(15)*(exp(y(26))-T(9))*exp(y(30))+1/exp(y(40))*exp(y(30))-T(30);
T(32) = exp(y(49))*params(15)*params(2)*exp(y(48))/exp(y(24))*(exp(y(49))-T(9));
T(33) = T(32)*exp(y(50));
T(34) = exp(y(30))*T(14)*(exp(y(26))-T(9))^2;
T(35) = exp(y(26))/params(24);
T(36) = T(35)^params(7);
T(37) = exp(y(30))/params(23);
T(38) = T(37)^params(9);

end
