function residual = static_resid(T, y, x, params, T_flag)
% function residual = static_resid(T, y, x, params, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%                                              to evaluate the model
%   T_flag    boolean                 boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   residual
%

if T_flag
    T = Loop_dynare.static_resid_tt(T, y, x, params);
end
residual = zeros(36, 1);
lhs = y(4);
rhs = exp(y(5));
residual(1) = lhs - rhs;
lhs = y(17);
rhs = exp(y(18));
residual(2) = lhs - rhs;
lhs = y(1);
rhs = T(1)+y(1)*params(2);
residual(3) = lhs - rhs;
lhs = y(2);
rhs = T(2)+params(2)*y(2);
residual(4) = lhs - rhs;
lhs = y(3);
rhs = y(2)-y(1);
residual(5) = lhs - rhs;
lhs = y(13);
rhs = T(3);
residual(6) = lhs - rhs;
lhs = y(14);
rhs = y(13)+params(2)*y(14);
residual(7) = lhs - rhs;
residual(8) = exp(y(34))/T(4)-exp(y(6));
residual(9) = T(6);
residual(10) = exp(y(34))-exp(y(6))*exp(y(9));
residual(11) = exp(y(9))-exp(y(10));
residual(12) = T(10);
residual(13) = exp(y(33))-exp(y(12))*exp(y(31));
residual(14) = exp(y(12))-exp(y(5))-exp(y(33))-T(12);
residual(15) = exp(y(11))-exp(y(12));
residual(16) = exp(y(29))-T(13)/(1-exp(y(31)));
residual(17) = log(y(28))-params(4)-y(30);
residual(18) = y(30)-y(30)*params(11)-params(13)*x(1);
residual(19) = exp(y(32))-1/(1-exp(y(31)));
residual(20) = y(32)-(1-params(12))*log(params(28))-y(32)*params(12)-params(14)*x(2);
residual(21) = y(34)-(1-params(19))*log(params(41))-y(34)*params(19)-params(21)*x(3);
residual(22) = y(35)-(1-params(20))*log(params(40))-y(35)*params(20)-params(22)*x(4);
residual(23) = exp(y(15))-exp(y(12))/exp(y(29));
residual(24) = exp(y(36))-1/(1-exp(y(31)));
residual(25) = exp(y(16))-exp(y(12))/exp(y(36));
residual(26) = T(15)*T(19)-T(14);
residual(27) = exp(y(34))/T(20)-exp(y(19));
residual(28) = T(22);
residual(29) = exp(y(34))-exp(y(19))*exp(y(22));
residual(30) = exp(y(22))-exp(y(23));
residual(31) = T(24);
residual(32) = exp(y(25))-exp(y(18))-exp(y(33))-T(25);
residual(33) = exp(y(24))-exp(y(25));
residual(34) = exp(y(26))-exp(y(25))/exp(y(29));
residual(35) = exp(y(27))-exp(y(25))/exp(y(36));
residual(36) = T(26)*T(27)-exp(y(20))/params(26);
if ~isreal(residual)
  residual = real(residual)+imag(residual).^2;
end
end
